# Get a legal entity route

`GET https://app.shuttleglobal.com/c/api/instances/{instance_key}/legal_entity_routes/{legal_entity_route_id}`

Retrieve details of a specific legal entity route.

## Authentication

- basicAuth: Basic Authentication using secret key
- bearerAuth: OAuth 2.0 Bearer Token Authentication

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `legal_entity_route_id` | path | string | yes | The legal entity route's ID (`lr_...`). |
| `expand` | query | string | no | Fields to expand into full objects. Available fields: - created_session (session object) - gateway (gateway object) - legal_entity (legal entity object) - updated_session (session object) |

## Responses

### 200: Legal entity route details

```json
{
  "legal_entity_route": {
    "id": "string",
    "legal_entity": "string",
    "gateway": "string",
    "currencies": [
      "string"
    ],
    "payment_method_types": [
      "string"
    ],
    "metadata": {},
    "rules": {
      "ECOMMERCE": {},
      "MOTO": {},
      "POS": {},
      "RECURRING": {}
    },
    "workflows": [
      {}
    ],
    "status": "LINKED",
    "created": "2026-01-01T12:00:00Z",
    "created_session": "string",
    "updated": "2026-01-01T12:00:00Z",
    "updated_session": "string",
    "v": 0
  }
}
```

### 401: Unauthorised: the API key is missing or not valid

```json
{
  "code": "UNAUTHORIZED",
  "message": "Unauthorised"
}
```

### 404: Legal entity route not found

```json
{
  "code": "string",
  "message": "string"
}
```

## Example request

```sh
curl --request GET \
  --url https://app.shuttleglobal.com/c/api/instances/YOUR_INSTANCE_KEY/legal_entity_routes/LEGAL_ENTITY_ROUTE_ID \
  --header 'Authorization: Basic <base64 of SECRET_KEY:>'
```

Reference page: https://docs.shuttleglobal.com/platforms/reference/operations/getlegalentityroute/